/* Import fonts */
@import url('../fonts/Roboto.css');

/* Reset and normalize */
@import url('./normalize.css');

body {
    background-color: #fcfcfc;
}

.page {
    display: grid;
    grid-template-areas: "header" "main" "footer";
    width: calc(100% * 2/3);
    background-color: #ffffff;
    box-shadow: 0 0 3px 3px #e6e6e6;
    padding: 1.5% 4%;
    margin: 0 auto;
    position: relative;
}

.header, .main, .footer {
    grid-area: auto;
}

.top-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}

.searching-area {
    display: flex;
    justify-content: flex-end;
    margin-top: 10px;
    width: 60%;
}

.searching-area input {
    width: 50%;
    margin-right: 15px;
    transition: width 0.3s, outline 0.3s;
}

.searching-area input:hover,
.searching-area input:focus {
    width: 65%;
    outline: none;
}

.teachinderLabel {
    font: 600 45px "Times New Roman", serif;
    color: #ffffff;
    text-shadow: -1.25px -1.16px 0 #f75c48, 1.7px 1.25px 0 #000000;
    text-align: left;
    transition: text-shadow 0.1s;
}

.teachinderLabel:hover {
    text-shadow: -2.3px -2.32px 0 #f75c48, 2.2px 2.3px 0 #000000;
}

.navigation-area {
    display: flex;
    justify-content: space-between;
    align-items: center;
    vertical-align: middle;
    margin-bottom: 15px;
}

nav ul {
    display: flex;
    list-style: none;
}

nav a {
    text-decoration: none;
    color: #f75c48;
    margin-right: 27px;
    padding: 0;
    font: 600 21px "Source Sans Pro", sans-serif;
    transition: color 0.3s;
}

nav a:hover {
    color: #cb3747;
}

.separating-hr {
    height: 1px;
    width: 47%;
    margin: 25px auto;
    border: none;
    background-color: #000000;
}

.section-header {
    color: #000000;
    font: 600 30px "Source Sans Pro", sans-serif;
}

.vertical-divider {
    width: 1px;
    height: 26px;
    background-image: linear-gradient(to bottom, #000 50%, transparent 50%);
    background-size: 100% 3px;
    margin: 7px 15px 0;
    border: none;
    opacity: 60%;
}

select {
    height: 26px;
    font-family: "Source Sans Pro", sans-serif;
    margin-left: 15px;
}

.filters {
    display: flex;
    justify-content: flex-start;
    color: #9b9793;
    margin-top: 25px;
    font: 300 13px "Source Sans Pro", sans-serif;
    white-space: nowrap;
}

.filter-option {
    display: flex;
    align-items: center;
    font-size: 13px;
    color: #b4bdc4;
    height: 40px;
}

.checkbox {
    display: flex;
    align-items: center;
    justify-items: center;
}

.teachersIcons {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    width: 100%;
}

.profile {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px;
    font-family: "Source Sans Pro", sans-serif;
    margin-bottom: 14px;
}

.teachers-photo {
    display: flex;
    width: 9vw;
    height: 9vw;
    min-width: 100px;
    min-height: 100px;
    border-radius: 50%;
    overflow: hidden;
    border: 4px solid #f88e85;
    position: relative;
    justify-content: center;
    align-items: center;
}

.teachers-photo .initials {
    font-family: "Source Sans Pro", sans-serif;
    font-weight: 500;
    font-size: 26px;
    color: #f88e85;
    transition: all 0.3s;
}

.teachers-photo:hover {
    border-color: #cf4736;
}

.teachers-photo:hover .initials {
    font-size: 30px;
    font-weight: 600;
    color: #cf4736;
}

.image {
    width: 100%;
    height: auto;
}

.image:hover {
    transition: all 0.3s;
    transform: scale(1.2);
}

.name, .surname, .speciality,
.country, .add-button, .search-button {
    font-family: "Source Sans Pro", sans-serif;
}

.name {
    font-weight: 600;
    font-size: 18px;
    margin-top: 15px;
}

.surname {
    font-weight: 600;
    font-size: 18px;
    margin-top: 4px;
}

.speciality {
    font-weight: 450;
    font-size: 13px;
    margin-top: 4px;
    opacity: 60%;
}

.country {
    font-weight: 450;
    font-size: 11px;
    margin-top: 4px;
}

.top-teachers {
    margin-bottom: 40px;
}


.star1, .star2 {
    background-image: url("/src/images/star.png");
    background-size: cover;
    width: 3%;
    aspect-ratio: 1/1;
    position: absolute;
    top: 17%;
    z-index: 1;
}

.star1{
    left: 53.5%;
}

.star2{
    right:8.2%;
}


.add-button,
.search-button {
    font-weight: 600;
    background-color: #ffffff;
    border: 1px solid #f75c48;
    text-decoration: none;
    padding: 7px 17px;
    color: #f75c48;
    font-size: 20px;
}

.search-button {
    font-size: 15px;
}

.add-button:hover,
.search-button:hover {
    background-color: #f75c48;
    color: #ffffff;
}

table {
    width: 100%;
    font-family: "Leelawadee UI", serif;
    margin-top: 25px;
}

tr:nth-child(even) {
    background-color: #faf5fb;
}

td,
th {
    text-align: center;
    vertical-align: middle;
    padding: 8px;
    width: 20%;
}

tr {
    vertical-align: middle;
    height: 26px;
}

thead {
    border-bottom: 1px solid black;
    font-size: 110%;
}

td {
    font-size: 80%;
}

.table-name-header,
.table-name-left {
    text-align: left;
}

thead th:hover {
    border-bottom: 3px solid #000000;
    background-color: #fafafa;
}

.th-arrow {
    position: absolute;
    width: 17px;
    height: 18px;
    color: #1a9aa4;
    visibility: hidden;
}

th:hover .th-arrow {
    visibility: visible;
}

.table-page-buttons {
    display: flex;
    justify-content: flex-start;
    margin-top: 20px;
    margin-bottom: 8px;
}

.table-button {
    font-family: "Source Sans Pro", serif;
    font-size: 16px;
    background: none;
    border: none;
    color: #59cbd8;
}

.active,
.more {
    color: #000000;
}

.swiping-favorite-teachers {
    position: relative;
}

.favorite-teachers {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    margin-top: 25px;
    position: relative;
}

.left-arrow,
.right-arrow {
    position: absolute;
    background-image: url("/src/images/arrow-right.png");
    background-size: cover;
    border: none;
    background-color: rgba(0, 0, 0, 0);
    width: 4%;
    height: 30%;
}

.left-arrow {
    transform: rotate(180deg);
    left: -3%;
    bottom: 40%;
}

.right-arrow {
    right: -3%;
    bottom: 44%;
}
.left-arrow:hover, .right-arrow:hover {
    background-image: url("/src/images/arrow-hover.png");
}

footer .text {
    text-align: left;
    margin-bottom: 30px;
    font-family: "Leelawadee UI", serif;
}

/*POP-UPS*/

#teacher-info-popup, #add-teacher-popup {
    visibility: hidden;
    background-color: #0000007f;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

.info-popup-header, .adding-popup-header {
    display: flex;
    justify-content: space-between;
    background-color: #454547;
    padding: 10px;
    vertical-align: middle;
    align-items: center;
    color: #ffffff;
}

.info-popup-header span, .adding-popup-header span {
    font-family: "Source Sans Pro", sans-serif;
    font-size: 18px;
}

.close-button {
    text-decoration: none;
    font-size: 18px;
    color: #ffffff;
}

#teacher-info-popup:target {
    visibility: visible;
    display: flex;
}

#add-teacher-popup:target {
    visibility: visible;
    display: grid;
}

#add-teacher-popup {
    min-width: 400px;
}

.adding-window {
    position: relative;
    width: 400px;
    height: 600px;
    background-color: #ffffff;
    margin: 0 auto;
}



.full-in-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(5, 50px) repeat(2, 35px) 100px ;
    grid-template-areas:
    "name name"
    "speciality speciality"
    "country city"
    "email phone"
    "date-of-birth ."
    "sex ."
    "background-color ."
    "notes notes";

    width:400px;
    padding: 21px;
    column-gap: 15px;
    row-gap: 3px;
    font-family: "Leelawadee UI", sans-serif;

}

.add-teacher-name { grid-area: name; }

.add-teacher-speciality { grid-area: speciality; }

.add-teacher-country { grid-area: country; }

.add-teacher-city { grid-area: city; }

.add-teacher-email { grid-area: email; }

.add-teacher-phone { grid-area: phone; }

.add-teacher-date-of-birth { grid-area: date-of-birth; }

.add-teacher-sex { grid-area: sex; }

.add-teacher-background-color { grid-area: background-color; }

.add-teacher-notes { grid-area: notes; }

.adding-window{
    border-radius: 3px;
    box-shadow: 0 2px 4px #00000033;
}
.full-in-container label{
    margin-bottom: 4px;
    font: 300 11px "Leelawadee UI", sans-serif;
}

.full-in-container input{
    height:25px;
}

.data-name, .add-teacher-background-color label
 {
    float:left;
}

.add-teacher-sex input{
    margin: 0;
}

.data-name-sex{
   margin-right: 53px;
}

.add-teacher-name input, .add-teacher-speciality select, .add-teacher-country select{
    width:100%;
    margin:0;
}

.add-teacher-sex input, .add-teacher-sex label {
    vertical-align: middle;
}

.add-teacher-background-color input{
    float:right;
    width:20%;
    height:45%;
}

.add-teacher-date-of-birth input{
    width:100%;
}

.add-teacher-notes textarea{
    width:100%;
    height: 80px;
}

form button{
    width:90%;
    align-items: center;
    margin-top: 7px;
}


#teacher-info-popup{
    min-width: 700px;
}

.info-popup-container {
    border-radius: 3px;
    box-shadow: 0 2px 4px #00000033;
    position: relative;
    width: 700px;
    height: 400px;
    background-color: #ffffff;
}

.full-teachers-photo {
    float: left;
    height: 230px;
    width: 230px;
    margin: 15px 25px 10px 10px;
    position: relative;
}

.empty-star {
    position: absolute;
    top: 60px;
    right: 10px;
    width: 30px;
    height: 30px;
}

.general-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    position: relative;
}

.teachers-name {
    font-size: 28px;
    margin-top: 15px;
    margin-bottom: 17px;
}

.teachers-name, .teachers-specialty, .teachers-location, .teachers-age-and-sex,
.teachers-email, .teachers-phone-number, .description, .teachers-map {
    font-family: "Leelawadee UI", serif;
}

.teachers-specialty {
    font-size: 17px;
    font-weight: 600;
    margin-bottom: 12px;
}

.teachers-location, .teachers-age-and-sex, .teachers-email, .teachers-phone-number {
    font-size: 13px;
    font-weight: 333;
    margin-bottom: 11px;
}

.teachers-email, .teachers-map {
    color: #68c0c8;
}

.teachers-email {
    text-decoration: none;
}

.teachers-map {
    float: left;
    text-decoration: underline dotted;
    font-size: 12px;
    font-weight: 333;
    margin-left: 10px;
}

.teachers-phone-number {
    margin-bottom: 75px;
}

.description {
    text-align: left;
    font-size: 12px;
    font-weight: 350;
    margin: 6px 10px;
}

@media (max-width: 1200px) {
    .page {
        min-width: 760px;
    }
}

@media(max-width: 860px){
    .star2{
        right:7.8%;
    }
}

@media(max-width: 800px) {
    .star2 {
        right: 7.5%;
    }
}

@media (max-width: 768px) {
    .page {
        min-width: 710px;
    }
    .filters {
        align-items: center;
    }
    .star2{
        right:6.3%;
    }
    .vertical-divider{
        margin: 0 15px;
    }
}
